#!/bin/bash
# Copyright (c) 2022 xFusion Digital Technologies Co., Ltd. All rights reserved.
# Description: Check whether the log file is deleted
# Author: miaokaibo
# Create: 2022-04-15

# check if rsyslog fd is deleted
if [ -f /var/run/syslogd.pid ];then
   pidfile=/var/run/syslogd.pid
else
   pidfile=/var/run/rsyslogd.pid
fi
PID=`cat $pidfile 2> /dev/null`
if [ ! -z "${PID}" ]; then
        file=`ls -l /proc/${PID}/fd | awk '{print $NF}' | grep "(deleted)"`
        if [ ! -z "${file}" ]; then
                /bin/kill -HUP ${PID} 2> /dev/null || true
        fi
else
        logger -i -t rsyslogd_fd_check "rsyslog pid file doesn't exist"
        exit 1
fi
exit 0
